## ros-humble-pmb2-robot 5.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pmb2_robot)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-humble-pmb2-robot (5.0.7-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-humble-pmb2-robot (5.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 13 Jun 2023 00:00:00 -0000

ros-humble-pmb2-robot (5.0.5-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 15 May 2023 00:00:00 -0000

ros-humble-pmb2-robot (5.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-pmb2-robot (5.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-pmb2-robot (5.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-pmb2-robot (5.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-pmb2-robot (5.0.0-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-pmb2-robot (4.0.5-1jammy) jammy; urgency=high

  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request robots/pmb2_robot!80
  * update maintainers
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-humble-pmb2-robot (4.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-robot (4.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-robot (4.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jul 2021 00:00:00 -0000

ros-humble-pmb2-robot (4.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jul 2021 00:00:00 -0000

ros-humble-pmb2-robot (4.0.0-1jammy) jammy; urgency=high

  * Set back old version number before release
  * Cleanup unused files
  * First working version
  * First WIP of upload.py
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Jul 2021 00:00:00 -0000

ros-humble-pmb2-robot (3.0.14-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 18 Jan 2021 00:00:00 -0000

ros-humble-pmb2-robot (3.0.13-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-pmb2-robot (3.0.12-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 16 Jul 2020 00:00:00 -0000

ros-humble-pmb2-robot (3.0.11-1jammy) jammy; urgency=high

  * Merge branch 'fix-changelog' into 'erbium-devel'
    fixed changelog
    See merge request robots/pmb2_robot!55
  * fixed changelog
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 10 Jul 2020 00:00:00 -0000

ros-humble-pmb2-robot (3.0.10-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 21 Oct 2019 00:00:00 -0000

ros-humble-pmb2-robot (3.0.9-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 02 Oct 2019 00:00:00 -0000

ros-humble-pmb2-robot (3.0.8-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-humble-pmb2-robot (3.0.7-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 25 Sep 2019 00:00:00 -0000

ros-humble-pmb2-robot (3.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 20 Sep 2019 00:00:00 -0000

ros-humble-pmb2-robot (3.0.5-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 10 Sep 2019 00:00:00 -0000

ros-humble-pmb2-robot (3.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 17 Jul 2019 00:00:00 -0000

ros-humble-pmb2-robot (3.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Apr 2019 00:00:00 -0000

ros-humble-pmb2-robot (3.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 31 Jan 2019 00:00:00 -0000

ros-humble-pmb2-robot (3.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 20 Dec 2018 00:00:00 -0000

ros-humble-pmb2-robot (3.0.0-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-humble-pmb2-robot (2.0.8-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 27 Nov 2018 00:00:00 -0000

ros-humble-pmb2-robot (2.0.7-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 30 Jul 2018 00:00:00 -0000

ros-humble-pmb2-robot (2.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 27 Apr 2018 00:00:00 -0000

ros-humble-pmb2-robot (2.0.5-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 17 Apr 2018 00:00:00 -0000

ros-humble-pmb2-robot (2.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 17 Apr 2018 00:00:00 -0000

ros-humble-pmb2-robot (2.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 17 Apr 2018 00:00:00 -0000

ros-humble-pmb2-robot (2.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 13 Apr 2018 00:00:00 -0000

ros-humble-pmb2-robot (2.0.1-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-humble-pmb2-robot
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-pmb2-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-pmb2-bringup, ros-humble-pmb2-controller-configuration, ros-humble-pmb2-description, ros-humble-ros-workspace
Description: PMB2 robot description and launch files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-robot//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
